/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AggregateIndicatorParams.java 8643 2011-07-25 12:19:35Z danesa $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.probe.collectors.aggregate.shell;

import java.util.ArrayList;
import java.util.List;

import org.ow2.jasmine.probe.shell.JasmineProbeCommandParams;

import com.beust.jcommander.Parameter;

public class AggregateIndicatorParams extends JasmineProbeCommandParams {

    @Parameter(description = "Indicator name")
    public List<String> name = new ArrayList<String>();

    public String getName() {
        return name.get(0);
    }

    @Parameter(names = { "-o", "--op" }, description = "Aggregate operation", required = true)
    private String op;

    public String getOp() {
        return op;
    }

    @Parameter(names = { "-s", "--source" }, description = "Source indicator name", required = true)
    private String source;

    public String getSource() {
        return source;
    }

    public void reset() {
        name.clear();
        op = null;
        source = null;
    }
}
